Welcome to OCS Inventory NG community support, where you can ask questions and receive answers from other members of the community.

Please ask questions only in English or French.

Release 2.10.0 available

The official documentation can be found on http://wiki.ocsinventory-ng.org. Read it before asking your question.

Does OCS Server Run on Ubuntu 22 with PHP 8.1?

Hello.

Does OCS Server latest version 2.9.2 run Under Ubuntu 22.04 LTS with PHP 8.1?

I setup all but I got this error went I access the GUI and setup the DB the first time.

[Mon May 30 22:03:10.137091 2022] [php:error] [pid 1158] [client 192.168.9.102:2161] PHP Fatal error:  Uncaught TypeError: mysqli_fetch_object(): Argument #1 ($result) must be of type mysqli_result, bool given in /usr/share/ocsinventory-reports/ocsreports/install.php:138\nStack trace:\n#0 /usr/share/ocsinventory-reports/ocsreports/install.php(138): mysqli_fetch_object()\n#1 /usr/share/ocsinventory-reports/ocsreports/require/header.php(91): require('...')\n#2 /usr/share/ocsinventory-reports/ocsreports/index.php(44): require('...')\n#3 {main}\n  thrown in /usr/share/ocsinventory-reports/ocsreports/install.php on line 138, referer: http://192.168.9.123/ocsreports/

Regards!!!

in OCS Inventory NG server for Unix by (390 points)

2 Answers

0 votes
I switch to php 7.x and works...them php 8.x, not supported?

Regards.
by (390 points)
+1 vote
Now, OCS Server 2.10 could be installed on Ubuntu 22.04 (with Php 8.1 standard). Without errors like with 2.9.2.

OCS Server 2.10 is available from 27th of June 2022 : IMHO I'll wait 2 or 3 months before using it on a (new) production server !
by (9.3k points)
 
Powered by Question2Answer
...